Skip to content

Get 'IndustrialPremisesVacancyNotation'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Path
pkstringwrite-onlyrequired
GET
/objects/spaces/vacancies/industrialpremisesvacancynotation/{pk}/
curl -i -X GET \
  'https://dev.api.pigello.io/objects/spaces/vacancies/industrialpremisesvacancynotation/{pk}/' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE'

Responses

Successful selection

Bodyapplication/json
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

start_datestring, (date)required

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: end_date

spaceobject(IndustrialPremises)required
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
automaticbooleanread-only
annulledboolean
end_datestring or null, (date)

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: start_date

tagsanyread-only
customer_columnsanyread-only
Response
{ "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "automatic": true, "annulled": true, "start_date": "2019-08-24", "end_date": "2019-08-24", "space": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "tags": null, "customer_columns": null }